## gearman-interface 0.13.2

=== debian/changelog ===
gearman-interface (0.13.2-2ubuntu1) oneiric; urgency=low

  * debian/control: Build-Depend on swig2.0 explicitly. (LP: #771121)
  * debian/patches/use_ax_swig.patch: use an m4 macro compatible with
    swig 2.0 (pulled from Debian pending packaging branch).
  * debian/control: build-depend on dh-autoreconf
  * debian/rules: use dh_autoreconf to enact changes to build scripts.

 -- Clint Byrum <clint@ubuntu.com>  Fri, 23 Sep 2011 09:27:10 -0700

gearman-interface (0.13.2-2build2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:00:25 +0000

gearman-interface (0.13.2-2build1) maverick; urgency=low

  * Rebuild for changed python3 site directory.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Sep 2010 13:47:22 +0200

gearman-interface (0.13.2-2) unstable; urgency=low

  * debian/rules: moving tarball .c files out of the way so swig will
      rebuild and ship the .py files. (Closes: #593642)
  * add description of gearman to long description (quiets lintian)
  * Removing unnecessary build depends on ruby/rubygems
  * Version build-dep on python3
  * change python:Provides to python3:Provides
  * re-enable dh_usrlocal
  * Added watch file

 -- Clint Byrum <clint@ubuntu.com>  Thu, 19 Aug 2010 08:25:49 -0700

gearman-interface (0.13.2-1) unstable; urgency=low

  * Initial release (Closes: #587469) (LP: #600378)
  * Added uuid-dev to Build-Depends to work around bug 590967.

 -- Clint Byrum <clint@ubuntu.com>  Fri, 30 Jul 2010 09:11:34 -0700
