=== debian/control ===
Source: gearman-interface
Priority: extra
Maintainer: Clint Byrum <clint@ubuntu.com>
Build-Depends: python-setuptools (>= 0.6b3), python, python3 (>= 3.1.2-6~), python3-all-dev, python-all-dev, debhelper (>= 7.0.50~), python-support (>= 0.8.4), libgearman-dev (>= 0.13), swig2.0, uuid-dev, dh-autoreconf
Standards-Version: 3.9.1
Section: python
Homepage: https://launchpad.net/gearman-interface
Vcs-Bzr: https://code.launchpad.net/~gearman-developers/gearman-interface/gearman-interface

Package: python-gearman.libgearman
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python wrapper of libgearman
 This package contains a Python wrapper of libgearman.
 .
 Gearman provides a generic application framework to farm out work to
 other machines or processes that are better suited to do the work. It
 allows you to do work in parallel, to load balance processing, and to
 call functions between languages. It can be used in a variety of
 applications, from high-availability web sites to the transport of
 database replication events. In other words, it is the nervous system
 for how distributed processing communicates

Package: python3-gearman.libgearman
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 wrapper of libgearman
 This package contains a Python 3 wrapper of libgearman.
 .
 Gearman provides a generic application framework to farm out work to
 other machines or processes that are better suited to do the work. It
 allows you to do work in parallel, to load balance processing, and to
 call functions between languages. It can be used in a variety of
 applications, from high-availability web sites to the transport of
 database replication events. In other words, it is the nervous system
 for how distributed processing communicates
