=== debian/watch ===
version=3
https://launchpad.net/gearman-interface/+download .+/gearman-interface-(.+)\.tar\.gz
